CREATE TABLE bm_menu_item (
    ID                       NUMBER(18, 0) ,
    REF_ID                   NUMBER(18, 0)     NOT NULL,
    REF_TYPE                 NUMBER(5, 0)      NOT NULL,
    ORDER_NUMBER             NUMBER(5, 0)      NOT NULL,
    ITEM_VALUE               VARCHAR2(2048)    NOT NULL,
    ITEM_TEXT                VARCHAR2(4000),
    DATE_ADDED               DATE              NOT NULL,
    DATE_MODIFIED            DATE          ,
    GUID                     VARCHAR2(4000)    NOT NULL,
    STD_SYS_OBJ              NUMBER(1, 0)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    QTY_ATTR_ID              NUMBER(18, 0) ,
    ID                       NUMBER(18, 0) ,
    REF_ID                   NUMBER(18, 0)     NOT NULL,
    REF_TYPE                 NUMBER(5, 0)      NOT NULL,
    ORDER_NUMBER             NUMBER(5, 0)      NOT NULL,
    ITEM_VALUE               VARCHAR2(2048)    NOT NULL,
    ITEM_TEXT                VARCHAR2(4000),
    DATE_ADDED               DATE              NOT NULL,
    DATE_MODIFIED            DATE          ,
    GUID                     VARCHAR2(4000)    NOT NULL,
    STD_SYS_OBJ              NUMBER(1, 0)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    QTY_ATTR_ID              NUMBER(18, 0) ,
    CONSTRAINT pk_bm_menu_item PRIMARY KEY (ID, ID)
);
